Index: branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90
===================================================================
--- branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 7894)
+++ branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcnam_medusa.F90	(revision 8074)
@@ -2032,257 +2172,257 @@
       !!
       !! 2D fields
-      IF (iom_use("epC100")) THEN 
-         med_diag%epC100%dgsave = .TRUE.
-      ELSE 
-         med_diag%epC100%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("epCALC100")) THEN 
-         med_diag%epCALC100%dgsave = .TRUE.
-      ELSE 
-         med_diag%epCALC100%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("epN100")) THEN 
-         med_diag%epN100%dgsave = .TRUE.
-      ELSE 
-         med_diag%epN100%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("epSI100")) THEN 
-         med_diag%epSI100%dgsave = .TRUE.
-      ELSE 
-         med_diag%epSI100%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FGCO2")) THEN 
-         med_diag%FGCO2%dgsave = .TRUE.
-      ELSE 
-         med_diag%FGCO2%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("INTDISSIC")) THEN 
-         med_diag%INTDISSIC%dgsave = .TRUE.
-      ELSE 
-         med_diag%INTDISSIC%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("INTDISSIN")) THEN 
-         med_diag%INTDISSIN%dgsave = .TRUE.
-      ELSE 
-         med_diag%INTDISSIN%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("INTDISSISI")) THEN 
-         med_diag%INTDISSISI%dgsave = .TRUE.
-      ELSE 
-         med_diag%INTDISSISI%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("INTTALK")) THEN 
-         med_diag%INTTALK%dgsave = .TRUE.
-      ELSE 
-         med_diag%INTTALK%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("O2min")) THEN 
-         med_diag%O2min%dgsave = .TRUE.
-      ELSE 
-         med_diag%O2min%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("ZO2min")) THEN 
-         med_diag%ZO2min%dgsave = .TRUE.
-      ELSE 
-         med_diag%ZO2min%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FBDDTALK")) THEN 
-         med_diag%FBDDTALK%dgsave = .TRUE.
-      ELSE 
-         med_diag%FBDDTALK%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FBDDTDIC")) THEN 
-         med_diag%FBDDTDIC%dgsave = .TRUE.
-      ELSE 
-         med_diag%FBDDTDIC%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FBDDTDIFE")) THEN 
-         med_diag%FBDDTDIFE%dgsave = .TRUE.
-      ELSE 
-         med_diag%FBDDTDIFE%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FBDDTDIN")) THEN 
-         med_diag%FBDDTDIN%dgsave = .TRUE.
-      ELSE 
-         med_diag%FBDDTDIN%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FBDDTDISI")) THEN 
-         med_diag%FBDDTDISI%dgsave = .TRUE.
-      ELSE 
-         med_diag%FBDDTDISI%dgsave = .FALSE.
+      IF  (iom_use("epC100")) THEN 
+          med_diag%epC100%dgsave = .TRUE.
+      ELSE 
+          med_diag%epC100%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("epCALC100")) THEN 
+          med_diag%epCALC100%dgsave = .TRUE.
+      ELSE 
+          med_diag%epCALC100%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("epN100")) THEN 
+          med_diag%epN100%dgsave = .TRUE.
+      ELSE 
+          med_diag%epN100%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("epSI100")) THEN 
+          med_diag%epSI100%dgsave = .TRUE.
+      ELSE 
+          med_diag%epSI100%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FGCO2")) THEN 
+          med_diag%FGCO2%dgsave = .TRUE.
+      ELSE 
+          med_diag%FGCO2%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("INTDISSIC")) THEN 
+          med_diag%INTDISSIC%dgsave = .TRUE.
+      ELSE 
+          med_diag%INTDISSIC%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("INTDISSIN")) THEN 
+          med_diag%INTDISSIN%dgsave = .TRUE.
+      ELSE 
+          med_diag%INTDISSIN%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("INTDISSISI")) THEN 
+          med_diag%INTDISSISI%dgsave = .TRUE.
+      ELSE 
+          med_diag%INTDISSISI%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("INTTALK")) THEN 
+          med_diag%INTTALK%dgsave = .TRUE.
+      ELSE 
+          med_diag%INTTALK%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("O2min")) THEN 
+          med_diag%O2min%dgsave = .TRUE.
+      ELSE 
+          med_diag%O2min%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("ZO2min")) THEN 
+          med_diag%ZO2min%dgsave = .TRUE.
+      ELSE 
+          med_diag%ZO2min%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FBDDTALK")) THEN 
+          med_diag%FBDDTALK%dgsave = .TRUE.
+      ELSE 
+          med_diag%FBDDTALK%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FBDDTDIC")) THEN 
+          med_diag%FBDDTDIC%dgsave = .TRUE.
+      ELSE 
+          med_diag%FBDDTDIC%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FBDDTDIFE")) THEN 
+          med_diag%FBDDTDIFE%dgsave = .TRUE.
+      ELSE 
+          med_diag%FBDDTDIFE%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FBDDTDIN")) THEN 
+          med_diag%FBDDTDIN%dgsave = .TRUE.
+      ELSE 
+          med_diag%FBDDTDIN%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FBDDTDISI")) THEN 
+          med_diag%FBDDTDISI%dgsave = .TRUE.
+      ELSE 
+          med_diag%FBDDTDISI%dgsave = .FALSE.
       ENDIF
       !!
-      !! 3D fields
-      IF (iom_use("TPPD3")) THEN 
-         med_diag%TPPD3%dgsave = .TRUE.
-      ELSE 
-         med_diag%TPPD3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("BDDTALK3")) THEN 
-         med_diag%BDDTALK3%dgsave = .TRUE.
-      ELSE 
-         med_diag%BDDTALK3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("BDDTDIC3")) THEN 
-         med_diag%BDDTDIC3%dgsave = .TRUE.
-      ELSE 
-         med_diag%BDDTDIC3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("BDDTDIFE3")) THEN 
-         med_diag%BDDTDIFE3%dgsave = .TRUE.
-      ELSE 
-         med_diag%BDDTDIFE3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("BDDTDIN3")) THEN 
-         med_diag%BDDTDIN3%dgsave = .TRUE.
-      ELSE 
-         med_diag%BDDTDIN3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("BDDTDISI3")) THEN 
-         med_diag%BDDTDISI3%dgsave = .TRUE.
-      ELSE 
-         med_diag%BDDTDISI3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FD_NIT3")) THEN 
-         med_diag%FD_NIT3%dgsave = .TRUE.
-      ELSE 
-         med_diag%FD_NIT3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FD_SIL3")) THEN 
-         med_diag%FD_SIL3%dgsave = .TRUE.
-      ELSE 
-         med_diag%FD_SIL3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FD_CAR3")) THEN 
-         med_diag%FD_CAR3%dgsave = .TRUE.
-      ELSE 
-         med_diag%FD_CAR3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FD_CAL3")) THEN 
-         med_diag%FD_CAL3%dgsave = .TRUE.
-      ELSE 
-         med_diag%FD_CAL3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("CO33")) THEN 
-         med_diag%CO33%dgsave = .TRUE.
-      ELSE 
-         med_diag%CO33%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("CO3SATARAG3")) THEN 
-         med_diag%CO3SATARAG3%dgsave = .TRUE.
-      ELSE 
-         med_diag%CO3SATARAG3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("CO3SATCALC3")) THEN 
-         med_diag%CO3SATCALC3%dgsave = .TRUE.
-      ELSE 
-         med_diag%CO3SATCALC3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("DCALC3")) THEN 
-         med_diag%DCALC3%dgsave = .TRUE.
-      ELSE 
-         med_diag%DCALC3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("EXPC3")) THEN 
-         med_diag%EXPC3%dgsave = .TRUE.
-      ELSE 
-         med_diag%EXPC3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("EXPN3")) THEN 
-         med_diag%EXPN3%dgsave = .TRUE.
-      ELSE 
-         med_diag%EXPN3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FEDISS3")) THEN 
-         med_diag%FEDISS3%dgsave = .TRUE.
-      ELSE 
-         med_diag%FEDISS3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("FESCAV3")) THEN 
-         med_diag%FESCAV3%dgsave = .TRUE.
-      ELSE 
-         med_diag%FESCAV3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("MIGRAZP3")) THEN 
-         med_diag%MIGRAZP3%dgsave = .TRUE.
-      ELSE 
-         med_diag%MIGRAZP3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("MIGRAZD3")) THEN 
-         med_diag%MIGRAZD3%dgsave = .TRUE.
-      ELSE 
-         med_diag%MIGRAZD3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("MEGRAZP3")) THEN 
-         med_diag%MEGRAZP3%dgsave = .TRUE.
-      ELSE 
-         med_diag%MEGRAZP3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("MEGRAZD3")) THEN 
-         med_diag%MEGRAZD3%dgsave = .TRUE.
-      ELSE 
-         med_diag%MEGRAZD3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("MEGRAZZ3")) THEN 
-         med_diag%MEGRAZZ3%dgsave = .TRUE.
-      ELSE 
-         med_diag%MEGRAZZ3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("O2SAT3")) THEN 
-         med_diag%O2SAT3%dgsave = .TRUE.
-      ELSE 
-         med_diag%O2SAT3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PBSI3")) THEN 
-         med_diag%PBSI3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PBSI3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PCAL3")) THEN 
-         med_diag%PCAL3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PCAL3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("REMOC3")) THEN 
-         med_diag%REMOC3%dgsave = .TRUE.
-      ELSE 
-         med_diag%REMOC3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PNLIMJ3")) THEN 
-         med_diag%PNLIMJ3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PNLIMJ3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PNLIMN3")) THEN 
-         med_diag%PNLIMN3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PNLIMN3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PNLIMFE3")) THEN 
-         med_diag%PNLIMFE3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PNLIMFE3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PDLIMJ3")) THEN 
-         med_diag%PDLIMJ3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PDLIMJ3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PDLIMN3")) THEN 
-         med_diag%PDLIMN3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PDLIMN3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PDLIMFE3")) THEN 
-         med_diag%PDLIMFE3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PDLIMFE3%dgsave = .FALSE.
-      ENDIF
-      IF (iom_use("PDLIMSI3")) THEN 
-         med_diag%PDLIMSI3%dgsave = .TRUE.
-      ELSE 
-         med_diag%PDLIMSI3%dgsave = .FALSE.
-      ENDIF
-      
+      !! 3D
+      IF  (iom_use("TPPD3")) THEN 
+          med_diag%TPPD3%dgsave = .TRUE.
+      ELSE 
+          med_diag%TPPD3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("BDDTALK3")) THEN 
+          med_diag%BDDTALK3%dgsave = .TRUE.
+      ELSE 
+          med_diag%BDDTALK3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("BDDTDIC3")) THEN 
+          med_diag%BDDTDIC3%dgsave = .TRUE.
+      ELSE 
+          med_diag%BDDTDIC3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("BDDTDIFE3")) THEN 
+          med_diag%BDDTDIFE3%dgsave = .TRUE.
+      ELSE 
+          med_diag%BDDTDIFE3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("BDDTDIN3")) THEN 
+          med_diag%BDDTDIN3%dgsave = .TRUE.
+      ELSE 
+          med_diag%BDDTDIN3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("BDDTDISI3")) THEN 
+          med_diag%BDDTDISI3%dgsave = .TRUE.
+      ELSE 
+          med_diag%BDDTDISI3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FD_NIT3")) THEN 
+          med_diag%FD_NIT3%dgsave = .TRUE.
+      ELSE 
+          med_diag%FD_NIT3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FD_SIL3")) THEN 
+          med_diag%FD_SIL3%dgsave = .TRUE.
+      ELSE 
+          med_diag%FD_SIL3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FD_CAR3")) THEN 
+          med_diag%FD_CAR3%dgsave = .TRUE.
+      ELSE 
+          med_diag%FD_CAR3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FD_CAL3")) THEN 
+          med_diag%FD_CAL3%dgsave = .TRUE.
+      ELSE 
+          med_diag%FD_CAL3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("CO33")) THEN 
+          med_diag%CO33%dgsave = .TRUE.
+      ELSE 
+          med_diag%CO33%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("CO3SATARAG3")) THEN 
+          med_diag%CO3SATARAG3%dgsave = .TRUE.
+      ELSE 
+          med_diag%CO3SATARAG3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("CO3SATCALC3")) THEN 
+          med_diag%CO3SATCALC3%dgsave = .TRUE.
+      ELSE 
+          med_diag%CO3SATCALC3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("DCALC3")) THEN 
+          med_diag%DCALC3%dgsave = .TRUE.
+      ELSE 
+          med_diag%DCALC3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("EXPC3")) THEN 
+          med_diag%EXPC3%dgsave = .TRUE.
+      ELSE 
+          med_diag%EXPC3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("EXPN3")) THEN 
+          med_diag%EXPN3%dgsave = .TRUE.
+      ELSE 
+          med_diag%EXPN3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FEDISS3")) THEN 
+          med_diag%FEDISS3%dgsave = .TRUE.
+      ELSE 
+          med_diag%FEDISS3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("FESCAV3")) THEN 
+          med_diag%FESCAV3%dgsave = .TRUE.
+      ELSE 
+          med_diag%FESCAV3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("MIGRAZP3")) THEN 
+          med_diag%MIGRAZP3%dgsave = .TRUE.
+      ELSE 
+          med_diag%MIGRAZP3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("MIGRAZD3")) THEN 
+          med_diag%MIGRAZD3%dgsave = .TRUE.
+      ELSE 
+          med_diag%MIGRAZD3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("MEGRAZP3")) THEN 
+          med_diag%MEGRAZP3%dgsave = .TRUE.
+      ELSE 
+          med_diag%MEGRAZP3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("MEGRAZD3")) THEN 
+          med_diag%MEGRAZD3%dgsave = .TRUE.
+      ELSE 
+          med_diag%MEGRAZD3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("MEGRAZZ3")) THEN 
+          med_diag%MEGRAZZ3%dgsave = .TRUE.
+      ELSE 
+          med_diag%MEGRAZZ3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("O2SAT3")) THEN 
+          med_diag%O2SAT3%dgsave = .TRUE.
+      ELSE 
+          med_diag%O2SAT3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PBSI3")) THEN 
+          med_diag%PBSI3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PBSI3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PCAL3")) THEN 
+          med_diag%PCAL3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PCAL3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("REMOC3")) THEN 
+          med_diag%REMOC3%dgsave = .TRUE.
+      ELSE 
+          med_diag%REMOC3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PNLIMJ3")) THEN 
+          med_diag%PNLIMJ3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PNLIMJ3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PNLIMN3")) THEN 
+          med_diag%PNLIMN3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PNLIMN3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PNLIMFE3")) THEN 
+          med_diag%PNLIMFE3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PNLIMFE3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PDLIMJ3")) THEN 
+          med_diag%PDLIMJ3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PDLIMJ3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PDLIMN3")) THEN 
+          med_diag%PDLIMN3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PDLIMN3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PDLIMFE3")) THEN 
+          med_diag%PDLIMFE3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PDLIMFE3%dgsave = .FALSE.
+      ENDIF
+      IF  (iom_use("PDLIMSI3")) THEN 
+          med_diag%PDLIMSI3%dgsave = .TRUE.
+      ELSE 
+          med_diag%PDLIMSI3%dgsave = .FALSE.
+      ENDIF
+
    END SUBROUTINE   trc_nam_iom_medusa
    
Index: branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcopt_medusa.F90
===================================================================
--- branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcopt_medusa.F90	(revision 7894)
+++ branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcopt_medusa.F90	(revision 8074)
@@ -12,7 +12,4 @@
    !!              -   !  2008-11  (A. Yool) continuing adaptation for MEDUSA
    !!              -   !  2010-03  (A. Yool) updated for branch inclusion
-   !!              -   !  2014-08  (A. Yool) correct 1% light level calculation
-   !!              -   !  2015-07  (A. Yool) updated for temporal averaging
-   !!              -   !  2017-03  (Jpalm) correct euphotic layer 
    !!----------------------------------------------------------------------
 #if defined key_medusa
Index: branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90
===================================================================
--- branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90	(revision 7894)
+++ branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90	(revision 8074)
@@ -90,4 +90,7 @@
       !!              add this trend now to the general trend of tracer (ta,sa,tra):
       !!                             tra = tra + dz(trn wn)
+      !!        
+      !!              IF 'key_trc_diabio' is defined, the now vertical advection
+      !!              trend of passive tracers is saved for futher diagnostics.
       !!---------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index      
@@ -137,4 +140,18 @@
       ! for detrital nitrogen sedimentation only - jpdet
       zwork(:,:,1  ) = 0.e0      ! surface value set to zero
+      !!    DO ji = 1, jpi
+      !!       zirondep(ji,jj,1) = (dustsolub * dust(ji,jj) / (55.85 * rmtss) + 3.e-10 / ryyss) &
+      !!       & * rfact2 / fse3t(ji,jj,1)
+      !!       zsidep  (ji,jj)   = 8.8 * 0.075 * dust(ji,jj) * rfact2 / &
+      !!       & (fse3t(ji,jj,1) * 28.1 * rmtss)
+      !!    END DO
+      !! END DO
+
+      ! sedimentation of detrital nitrogen : upstream scheme
+      ! ----------------------------------------------------
+      !
+      zwork(:,:,:) = 0.e0        ! initialisation of sinking variable
+      ! for detrital nitrogen sedimentation only - jpdet
+      zwork(:,:,1  ) = 0.e0      ! surface value set to zero
       zwork(:,:,jpk) = 0.e0      ! bottom value  set to zero
       !
@@ -144,4 +161,8 @@
          ! zwork(:,:,jk) = -vsed * max(trn(:,:,jk-1,jpdet),0.d0) * tmask(:,:,jk-1)
          zwork(:,:,jk) = -vsed * max(trn(:,:,jk-1,jpdet),0.) * tmask(:,:,jk-1)
+         !
+         ! AXY (16/01/14): stop sinking in upper 10m to reduce model instability 
+         !                 in shallower grid cells
+         ! if ( jk .lt. 9 ) zwork(:,:,jk) = 0.e0
       END DO
       !
@@ -152,8 +173,13 @@
                ztra  = - ( zwork(ji,jj,jk) - zwork(ji,jj,jk+1) ) / fse3t(ji,jj,jk)
                tra(ji,jj,jk,jpdet) = tra(ji,jj,jk,jpdet) + ztra
+# if defined key_trc_diabio
+               trbio(ji,jj,jk,8) = ztra
+# endif
                IF (lk_iomput .AND. .NOT. ln_diatrc) THEN
                      IF( med_diag%DSED%dgsave ) THEN
                          zw2d(ji,jj) = zw2d(ji,jj) + ztra * fse3t(ji,jj,jk) * 86400.
                       ENDIF   
+               ELSE IF( ln_diatrc )  THEN
+                    trc2d(ji,jj,8) = trc2d(ji,jj,8) + ztra * fse3t(ji,jj,jk) * 86400.
                ENDIF    
                 
@@ -162,4 +188,9 @@
       END DO
       !
+# if defined key_trc_diabio
+      CALL lbc_lnk (trbio(:,:,1,8), 'T', 1. )                    ! Lateral boundary conditions on trcbio
+# endif
+      IF( ln_diatrc ) CALL lbc_lnk( trc2d(:,:,8), 'T', 1. )      ! Lateral boundary conditions on trc2d
+      !!
       IF (lk_iomput .AND. .NOT. ln_diatrc) THEN
            IF( med_diag%DSED%dgsave ) THEN
@@ -167,4 +198,6 @@
                 CALL wrk_dealloc( jpi, jpj,    zw2d  )
             ENDIF
+      ELSE IF (lk_iomput .AND. ln_diatrc)  THEN    
+          CALL iom_put( "DSED",trc2d(:,:,8) )
       ENDIF
       !!
@@ -184,4 +217,8 @@
          ! zwork(:,:,jk) = -vsed * max(trn(:,:,jk-1,jpdtc),0.d0) * tmask(:,:,jk-1)
          zwork(:,:,jk) = -vsed * max(trn(:,:,jk-1,jpdtc),0.) * tmask(:,:,jk-1)
+         !
+         ! AXY (16/01/14): stop sinking in upper 10m to reduce model instability 
+         !                 in shallower grid cells
+         ! if ( jk .lt. 9 ) zwork(:,:,jk) = 0.e0
       END DO
       !
@@ -192,8 +229,21 @@
                ztra  = - ( zwork(ji,jj,jk) - zwork(ji,jj,jk+1) ) / fse3t(ji,jj,jk)
                tra(ji,jj,jk,jpdtc) = tra(ji,jj,jk,jpdtc) + ztra
+!! #  if defined key_trc_diabio
+!!                trbio(ji,jj,jk,8) = ztra
+!! #  endif
+!!             IF( ln_diatrc ) &
+!!                &  trc2d(ji,jj,8) = trc2d(ji,jj,8) + ztra * fse3t(ji,jj,jk) * 86400.
             END DO
          END DO
       END DO
       !
+!! #  if defined key_trc_diabio
+!!       CALL lbc_lnk (trbio(:,:,1,8), 'T', 1. )                    ! Lateral boundary conditions on trcbio
+!! #  endif
+!!       IF( ln_diatrc ) CALL lbc_lnk( trc2d(:,:,8), 'T', 1. )      ! Lateral boundary conditions on trc2d
+!! #  if defined key_iomput
+!!       CALL iom_put( "DSED",trc2d(:,:,8) )
+!! #  endif
+
 # endif
 
@@ -331,4 +381,25 @@
       ENDIF
 
+      !! AXY (04/11/13): replace this with a call in trc_ini_medusa
+      !! AXY (25/02/10)
+      !! call routine for populating CCD array if this is the first time-step
+      !! IF( kt == nittrc000 ) CALL medusa_ccd( kt )
+
+      !! AXY (04/11/13): replace this with a call in trc_ini_medusa
+      !! AXY (26/01/12)
+      !! call routine for populating river arrays if this is the first time-step
+      !! IF( kt == nittrc000 ) CALL medusa_river( kt )
+
+      !! AXY (10/02/09)
+      !! IF( (jnt == 1) .and. (bdustfer) )  CALL trc_sed_medusa_sbc( kt )
+
+      !! JPALM -- 31-03-2016 -- rewrite trc_sed_medusa_sbc.
+      !! IF (kt == nittrc000 ) CALL trc_sed_medusa_sbc 
+
+      !! JPALM -- 20-07-2016 -- adapt dust forcing fields reading and conversion
+      !!                     To read dust dep in kg-dust/m2/s instead of g-Fe/m2/month 
+      !!                     So all forcings and coupling dust dep are in the same SI units
+      !!                     and then convert in mmol-Fe/m2/day
+
       IF( bdustfer ) THEN
             CALL fld_read( kt, 1, sf_dust )
@@ -343,4 +414,24 @@
       zirondep(:,:) = dust(:,:) * Fe_dust_mratio / xfe_mass * 1.e6 * 86400.  !! mmol-Fe/m2/d
       
+      !! JPALM -- 20-07-2016 -- Zirondep and zsidep are not used.
+      !!                     So comment out the following lines. but keep them
+      !!                     as we may want to used them later on
+      !!================================================     
+      !!
+      !! zirondep(:,:,:) = 0.e0     !! Initialisation of deposition variables
+      !! zsidep  (:,:)   = 0.e0
+      !!
+      !! Iron and Si deposition at the surface
+      !! -------------------------------------
+      !!
+      !! DO jj = 1, jpj
+      !!    DO ji = 1, jpi
+      !!       zirondep(ji,jj,1) = (dustsolub * dust(ji,jj) / (55.85 * rmtss) + 3.e-10 / ryyss) &
+      !!       & * rfact2 / fse3t(ji,jj,1)
+      !!       zsidep  (ji,jj)   = 8.8 * 0.075 * dust(ji,jj) * rfact2 / &
+      !!       & (fse3t(ji,jj,1) * 28.1 * rmtss)
+      !!    END DO
+      !! END DO
+
    END SUBROUTINE trc_sed_medusa_dust
 
